WAITPID(1)

NUME
waitpid - utilitate pentru a aștepta procese arbitrare

REZUMAT

waitpid [-v] [--timeout|-t secunde] pid...

DESCRIERE

waitpid este o comandă simplă pentru a aștepta procese arbitrare care nu sunt procese-copii.

Iese după ce toate procesele ale căror PID-uri au fost trecute ca argumente au ieșit.

OPȚIUNI

-v, --verbose
    Oferă mai multe detalii.

-t, --timeout secunde
    Timpul de așteptare maxim.

-e, --exited
    Nu se produce eroare la PID-uri deja ieșite.

-c, --count cantitatea
    Numărul de procese pentru care trebuie să se aștepte ieșirea.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

STARE DE IEȘIRE

waitpid are următoarele valori de stare de ieșire:

0
    succes

1
    eșec nespecificat

2
    sistemul nu oferă funcționalitatea necesară

3
    timpul de așteptare a expirat

AUTORI

CONSULTAȚI ȘI

waitpid(2) wait(1P)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda waitpid face parte din pachetul util-linux care poate fi descărcat de la